SDL_GetGamepadProperties(3)

NAME
SDL_GetGamepadProperties - Get the properties associated with an opened gamepad.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

SDL_PropertiesID SDL_GetGamepadProperties(SDL_Gamepad *gamepad);

DESCRIPTION
These properties are shared with the underlying joystick object.

The following read-only properties are provided by SDL:

• SDL_PROP_GAMEPAD_CAP_MONO_LED_BOOLEAN: true if this gamepad has an LED that has adjustable brightness

• SDL_PROP_GAMEPAD_CAP_RGB_LED_BOOLEAN: true if this gamepad has an LED that has adjustable color

• SDL_PROP_GAMEPAD_CAP_PLAYER_LED_BOOLEAN: true if this gamepad has a player LED

• SDL_PROP_GAMEPAD_CAP_RUMBLE_BOOLEAN: true if this gamepad has left/right rumble

• SDL_PROP_GAMEPAD_CAP_TRIGGER_RUMBLE_BOOLEAN: true if this gamepad has simple trigger rumble

FUNCTION PARAMETERS

gamepad
    a gamepad identifier previously returned by SDL_OpenGamepad().

RETURN VALUE
Returns a valid property ID on success or 0 on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.